Create Verification Link
Generate KYC verification link for an existing customer
X-Api-Key<token>API key in format: sti_env_prefix_secret
customerId*stringCustomer UUID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuididempotency-key*stringRequired for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidapplication/json- body
ttl_in_secs?integerTime-to-live for the KYC link in seconds (default: 1800)
0 < value <= 9007199254740991redirect?Custom redirect URLs for KYC completion
verification_type?stringStep-up verification or action type. business_edd is available for an existing business customer with a previously created base-verification applicant.
"liveness""passport""source_of_wealth""proof_of_address""business_edd"Default Response
application/json- response
customer_id*CustomerIdCustomer UUID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidkyc_link*stringURL for customer to complete KYC process
uricurl -X POST 'https://api.sandbox.stables.money/api/v1/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08/verification/link' \ -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'{ "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e", "kyc_link": "http://example.com"}Generate a hosted verification link for a customer who already exists. Use it to send the customer into a verification level, for example the verification_type named by an RFI requirement's action.